#### D.14.1.17 arrDecone

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrDecone(A, k); arrangement A, integer k;

Return:
  arr: the deconed hyperplane Arrangement dA

Note:
  A has to be non-empty and central. arrDecone is an inverse operation to arrCone since A == arrDecone(arrCone(A),size(A)+1) for any A. One can also decone a central arrangement with respect to any hyper- plane k, but than a coordinate change is necessary to make H_k = ker(x_k). Since such a coordinate change is not unique, use arrCoordchange to do so.

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    arr A= ideal(x,y,z,x+y-z);
    arrDecone(A,3);
    ==> _[1]=x
    ==> _[2]=y
    ==> _[3]=x+y-1
    ==>

See also: arrCone; arrDecone; arrEssentialize; arrIsEssential; arrRestrict.

User manual for Singular version 4.4.1, 2025, generated by texi2html.